/* LCM type definition class file
 * This file was automatically generated by lcm-gen
 * DO NOT MODIFY BY HAND!!!!
 */

package imulcm;
 
import java.io.*;
import java.util.*;
import lcm.lcm.*;
 
public final class imu_lcm implements lcm.lcm.LCMEncodable
{
    public double yaw;
    public double mag_x;
    public double mag_y;
    public double accel_x;
    public double accel_y;
    public double gyro_x;
    public double gyro_y;
 
    public imu_lcm()
    {
    }
 
    public static final long LCM_FINGERPRINT;
    public static final long LCM_FINGERPRINT_BASE = 0xa6abf09b33358f48L;
 
    static {
        LCM_FINGERPRINT = _hashRecursive(new ArrayList<Class<?>>());
    }
 
    public static long _hashRecursive(ArrayList<Class<?>> classes)
    {
        if (classes.contains(imulcm.imu_lcm.class))
            return 0L;
 
        classes.add(imulcm.imu_lcm.class);
        long hash = LCM_FINGERPRINT_BASE
            ;
        classes.remove(classes.size() - 1);
        return (hash<<1) + ((hash>>63)&1);
    }
 
    public void encode(DataOutput outs) throws IOException
    {
        outs.writeLong(LCM_FINGERPRINT);
        _encodeRecursive(outs);
    }
 
    public void _encodeRecursive(DataOutput outs) throws IOException
    {
        outs.writeDouble(this.yaw); 
 
        outs.writeDouble(this.mag_x); 
 
        outs.writeDouble(this.mag_y); 
 
        outs.writeDouble(this.accel_x); 
 
        outs.writeDouble(this.accel_y); 
 
        outs.writeDouble(this.gyro_x); 
 
        outs.writeDouble(this.gyro_y); 
 
    }
 
    public imu_lcm(byte[] data) throws IOException
    {
        this(new LCMDataInputStream(data));
    }
 
    public imu_lcm(DataInput ins) throws IOException
    {
        if (ins.readLong() != LCM_FINGERPRINT)
            throw new IOException("LCM Decode error: bad fingerprint");
 
        _decodeRecursive(ins);
    }
 
    public static imulcm.imu_lcm _decodeRecursiveFactory(DataInput ins) throws IOException
    {
        imulcm.imu_lcm o = new imulcm.imu_lcm();
        o._decodeRecursive(ins);
        return o;
    }
 
    public void _decodeRecursive(DataInput ins) throws IOException
    {
        this.yaw = ins.readDouble();
 
        this.mag_x = ins.readDouble();
 
        this.mag_y = ins.readDouble();
 
        this.accel_x = ins.readDouble();
 
        this.accel_y = ins.readDouble();
 
        this.gyro_x = ins.readDouble();
 
        this.gyro_y = ins.readDouble();
 
    }
 
    public imulcm.imu_lcm copy()
    {
        imulcm.imu_lcm outobj = new imulcm.imu_lcm();
        outobj.yaw = this.yaw;
 
        outobj.mag_x = this.mag_x;
 
        outobj.mag_y = this.mag_y;
 
        outobj.accel_x = this.accel_x;
 
        outobj.accel_y = this.accel_y;
 
        outobj.gyro_x = this.gyro_x;
 
        outobj.gyro_y = this.gyro_y;
 
        return outobj;
    }
 
}

